package com.loan.system.service;

import com.loan.system.domain.dto.UserLoginDTO;
import com.loan.system.domain.entity.BizRecommender;
import com.loan.system.domain.entity.Customer;
import com.loan.system.domain.entity.User;
import com.loan.system.domain.pojo.Result;

import java.util.List;

public interface UserService {
    User getUserByMobile(String  mobile);


    List<Customer> getAllCustomers(Integer pageNum,Integer pageSize,Boolean isDelete);

    List<User> getAllUsers(Integer pageNum,Integer pageSize,Boolean isDelete);

    List<BizRecommender> getAllRecommenders(Boolean isDelete);


    //User wxLogin(UserLoginDTO userLoginDTO);

    User findByIdAndIsDelete(Long userId);

    Result get_sessionId(String code);
    User findByPhoneNumberAndIsDelete(String phoneNumber);
    boolean existsByMobileAndIsDelete(String phoneNumber);

    List<UserVO> getAllSalesByIsDelete(boolean b);

    List<UserVO> getUsersByRole(String role);

    void addUser(UserDTO user);

    void deleteUserByLogic(Long id);

    void updateUserRole(String role,Long id);
    List<User> findByRoleAndIsDelete(List<String> role, boolean isDelete);
}
